### A free/open-source library for quantitative finance

Public Member Functions
SwingExercise Class Reference

Swing exercise. More...

`#include <ql/instruments/vanillaswingoption.hpp>`

Inheritance diagram for SwingExercise:
[legend]

List of all members.

## Public Member Functions

| SwingExercise (const std::vector< Date > &dates, const std::vector< Size > &seconds=std::vector< Size >())
| SwingExercise (const Date &from, const Date &to, Size stepSizeSecs)
const std::vector< Size > & | seconds () const
std::vector< Time > | exerciseTimes (const DayCounter &dc, const Date &refDate) const

## Detailed Description

Swing exercise.

A Swing option can only be exercised at a set of fixed date times